package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.ext.mes.pojo.util.MesExtConstWords;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 成都装车单打印
 * @author jason.niu
 * @description
 * @date 2025/3/15 13:53
 */
@Data
@ApiModel("成都装车单打印")
public class ChengDuLoadingListPrintModel {

    @ApiModelProperty("是否重打印")
    private String isRePrint = MesExtConstWords.EMPTY;

    @ApiModelProperty("重打印操作人")
    private String rePrintUser = MesExtConstWords.EMPTY;

    @ApiModelProperty("重打印时间")
    private String rePrintDatetime = MesExtConstWords.EMPTY;

    @ApiModelProperty("车牌号")
    private String truckNo;

    @ApiModelProperty("发运道口")
    private String sendDockCode;

    @ApiModelProperty("装车单号")
    private String orderCode;

    @ApiModelProperty("打印时间")
    private String printTime;

    @ApiModelProperty("最迟到达时间")
    private String goToTime;

    @ApiModelProperty("最早发运时间")
    private String goOutTime;

    @ApiModelProperty("小计")
    private Integer shippingCount;

    @ApiModelProperty("数量汇总")
    private Double totalAmount;

    @ApiModelProperty("明细")
    private List<ChengDuLoadingListDetailPrintModel> details = new ArrayList<>();
}

